Skip to main content
You are viewing v3 of the Coralogix API. v5 is the current version. Go to the v5 reference

Replace a view service

PUThttps://api.coralogix.com/mgmt/openapi/3/data-exploration/saved-views/v1/{id}

Replaces an existing view

Authorizations

Authorizationstringheaderrequired
API key authentication

Request

Path Parameters

    id# int32required
    Example: 52

Body

application/json

Response for views.

    folderId#string

    Unique identifier for folders

    Possible values: >= 36 characters and <= 36 characters, Value must match regular expression ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

    Example: 3dc02998-0b50-4ea8-b68a-4779d716fa1f
    isCompactMode#boolean
    name#stringrequired

    View name

    Possible values: non-empty

    Example: Logs view
    timeSelection#objectrequiredoneOf
    viewType#ViewType

    Possible values: [VIEW_TYPE_UNSPECIFIED, VIEW_TYPE_LOGS, VIEW_TYPE_TEMPLATES, VIEW_TYPE_ARCHIVE_LOGS, VIEW_TYPE_ARCHIVE_TEMPLATES]

Response

application/json

Response for views.

    folderId#string

    Unique identifier for folders

    Possible values: >= 36 characters and <= 36 characters, Value must match regular expression ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

    Example: 3dc02998-0b50-4ea8-b68a-4779d716fa1f
    id#int32required

    id

    Example: 52
    isCompactMode#boolean
    name#stringrequired

    View name

    Possible values: non-empty

    Example: Logs view
    timeSelection#objectrequiredoneOf
    viewType#ViewType

    Possible values: [VIEW_TYPE_UNSPECIFIED, VIEW_TYPE_LOGS, VIEW_TYPE_TEMPLATES, VIEW_TYPE_ARCHIVE_LOGS, VIEW_TYPE_ARCHIVE_TEMPLATES]